textures/westend/glass
{
	qer_editorimage textures/westend/milkglass.tga
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/westend/tinfx2.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/westend/milkglass.tga
		blendFunc blend
	}
}

textures/westend/metalrail_phong
{
	q3map_nonplanar
	q3map_shadeangle 91
	qer_editorimage textures/westend/metalrail_phong.tga
	{
		map textures/westend/metalrail.jpg
		rgbGen identity
	}

        {
		map textures/westend/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/westend/wu_railing
{
	qer_editorimage textures/westend/wu_railing.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	nopicmip
	{
		map textures/westend/wu_railing.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//null's neonlight from mandolin

textures/westend/nulls-cei_strip_light_br
{
	qer_editorimage textures/westend/nulls-e6v_light.tga
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 6000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/westend/nulls-e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/westend/nulls-e6v_light_blend.tga
		blendfunc add
		//blendfunc gl_src_color gl_one
	}
}

//Water based on Slicey's Water-shader from vertigo
textures/westend/water_shader
{
	qer_editorimage	textures/westend/water
	sort banner
	qer_trans	0.8
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	tessSize	128
	deformvertexes normal 0.1 1.85
	deformvertexes wave 128 sin 0 1 0.3 0.5
    {
        map textures/westend/water.jpg
	blendFunc GL_ONE GL_SRC_ALPHA
	rgbGen const ( 0.4 0.4 0.4 )
        alphaFunc GE128
	alphaGen const 1.0
	tcmod scroll 0 -0.25
    }
    {
	map textures/westend/cubemap.jpg
	tcGen environment
	rgbGen const ( 0.4 0.3 0.3 )
	blendFunc GL_ONE GL_ONE
    }
    {
	map textures/westend/cubemap.jpg
	tcGen environment
	blendFunc GL_DST_COLOR GL_ZERO
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
    }
}

//waterfall from prague

textures/westend/waterfall
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
//	q3map_surfacelight 10
	surfaceparm nomarks
	sort 9
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/westend/waterfall.tga
		tcMod Scroll 0 -4
		blendFunc blend
	}
}

textures/westend/yellow_light
{
	qer_editorimage textures/westend/yellow_light.tga
	q3map_surfacelight 10000
	q3map_lightsubdivide 32
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nolightmap
	cull none
	{
		map textures/westend/yellow_light.tga
		rgbgen identity
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/westend/glassblock06r_light
{
	qer_editorimage textures/westend/glassblock06r.tga
	q3map_surfacelight 10000
	q3map_lightsubdivide 32
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nolightmap
	cull none
	{
		map textures/westend/glassblock06r.tga
		rgbgen identity
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/westend/laughing-man
{
	qer_editorimage textures/westend/laughing-man_top.tga
	polygonOffset
	sort 6
	{
		map textures/westend/laughing-man_bottom.tga
		tcmod rotate 36
		alphaFunc GE128
	}
	{
		map textures/westend/laughing-man_top.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/ingsoc
{
	qer_editorimage textures/westend/ingsoc.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/ingsoc.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/1984
{
	qer_editorimage textures/westend/1984.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/1984.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/ieblack
{
	qer_editorimage textures/westend/ieblack.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/ieblack.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/graffiti0200_l
{
	qer_editorimage textures/westend/graffiti0200_l.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/graffiti0200_l.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/graphiti01
{
	qer_editorimage textures/westend/graphiti01.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/graphiti01.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/graphiti02
{
	qer_editorimage textures/westend/graphiti02.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/graphiti02.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/graphiti03
{
	qer_editorimage textures/westend/graphiti03.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/graphiti03.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/graphiti04
{
	qer_editorimage textures/westend/graphiti04.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/graphiti04.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/graphiti05
{
	qer_editorimage textures/westend/graphiti05.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/graphiti05.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/graphiti06
{
	qer_editorimage textures/westend/graphiti06.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/graphiti06.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/graphiti07
{
	qer_editorimage textures/westend/graphiti07.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/graphiti07.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/graf
{
	qer_editorimage textures/westend/graf.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/graf.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/dolkgirl
{
	qer_editorimage textures/westend/dolkgirl.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/dolkgirl.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//rotating decal
textures/westend/a
{
	qer_editorimage textures/westend/a_rotate.tga
	polygonOffset
	q3map_surfacelight 1200
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/a_rotate.tga
		alphaFunc GE128
		tcmod rotate 50
	}
	{
		map textures/westend/a_blend.tga
		alphaFunc GE128		
		blendfunc blend
	}
}

textures/westend/concretemasked5_1
{
	qer_editorimage textures/westend/concretemasked5_1.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/concretemasked5_1.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/concretemasked5_2
{
	qer_editorimage textures/westend/concretemasked5_2.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	sort 6
	{
		map textures/westend/concretemasked5_2.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/concretemasked5_3
{
	qer_editorimage textures/westend/concretemasked5_3.tga
	surfaceparm alphashadow
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/westend/concretemasked5_3.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/concretemasked0006
{
	qer_editorimage textures/westend/concretemasked0006.tga
	surfaceparm alphashadow
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/westend/concretemasked0006.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/concretemasked0008
{
	qer_editorimage textures/westend/concretemasked0008.tga
	surfaceparm alphashadow
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/westend/concretemasked0008.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/concretemasked0011
{
	qer_editorimage textures/westend/concretemasked0011.tga
	surfaceparm alphashadow
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/westend/concretemasked0011.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/xray_january
{
	qer_editorimage textures/westend/xray_january.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/westend/xray_january.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/xray_febuary
{
	qer_editorimage textures/westend/xray_febuary.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/westend/xray_febuary.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/xray_june
{
	qer_editorimage textures/westend/xray_june.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/westend/xray_june.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/westend/tv
{
	
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 1500
	qer_editorimage textures/westend/animap_tv01.jpg
	{
		animMap 10 textures/westend/animap_tv01.jpg textures/westend/animap_tv02.jpg textures/westend/animap_tv03.jpg textures/westend/animap_tv04.jpg textures/westend/animap_tv05.jpg textures/westend/animap_tv06.jpg textures/westend/animap_tv07.jpg		
	}
}

textures/westend/tv_on
{
	
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 1500
	qer_editorimage textures/westend/animap_tv01.jpg
	{
		animMap .5 textures/westend/animap_tv01_pic.tga textures/westend/animap_tv01_pic.tga textures/westend/animap_tv01_pic.tga textures/westend/animap_tv02_pic.tga textures/westend/animap_tv02_pic.tga textures/westend/animap_tv02_pic.tga textures/westend/animap_tv03_pic.tga
	}
	{
		animMap 10 textures/westend/animap_tv01_blend.tga textures/westend/animap_tv02_blend.tga textures/westend/animap_tv03_blend.tga textures/westend/animap_tv04_blend.tga textures/westend/animap_tv05_blend.tga textures/westend/animap_tv06_blend.tga textures/westend/animap_tv07_blend.tga
		alphaFunc GT0
		blendFunc blend
	}
}

textures/westend/lightning01-shader
{
	qer_editorimage textures/westend/lightning01.tga
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
	{
		animmap 1 textures/westend/lightning01.tga textures/westend/lightning00.tga textures/westend/lightning00.tga textures/westend/lightning00.tga textures/westend/lightning00.tga textures/westend/lightning00.tga textures/westend/lightning00.tga textures/westend/lightning00.tga
		blendfunc blend
	}
	{
		animmap 1 textures/westend/lightning00.tga textures/westend/lightning00.tga textures/westend/lightning02.tga textures/westend/lightning00.tga	textures/westend/lightning00.tga textures/westend/lightning00.tga textures/westend/lightning00.tga textures/westend/lightning00.tga
		blendfunc blend
	}
}

textures/westend/apath0_storm
{
	qer_editorimage env/apath0_storm/storm_ft.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	q3map_surfacelight 2500

        skyparms env/apath0_storm/storm 1024 -
	q3map_lightImage env/apath0_storm/storm_dn.jpg
	q3map_sunExt 0.24 0.22 0.35 75 315 25 3 64

	{
	map env/apath0_storm/clouds.tga
	tcMod scale 0.5 0.5
	tcMod scroll 0.0045 -0.0075
	blendfunc filter
	}
}

textures/westend/industrialwindow01
{
	qer_editorimage textures/westend/industrialwindow01.tga
	q3map_surfacelight 1000
	q3map_lightsubdivide 32
	{
		map textures/westend/industrialwindow01.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/westend/r_razorwire1
{
	qer_editorimage textures/westend/r_razorwire1.tga
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	nopicmip
	{
		map textures/westend/r_razorwire1.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//fence by sweetnuts

textures/westend/sw_fence
{
	qer_editor_image textures/westend/sw_fence.tga
	qer_trans 0.40
	polygonOffset
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	nopicmip
	{
		map textures/westend/sw_fence.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//    13v315h07 H4x
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
levelshots/ut4_westend_beta1
{
    //DONT J00 WISH YOUR MAP HAD THUS LEET HAXZOR SH!T???
    nopicmip
    nomipmaps
	{
		animmap .5 levelshots/shot1.tga levelshots/shot2.tga levelshots/shot3.tga levelshots/shot4.tga levelshots/shot5.tga
	}
	{
		map levelshots/overlay.tga
		blendFunc blend
	}    
    
}
